# $Revision: 1.15 $, $Date: 2004/05/07 01:09:25 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	String
%define	pnam	Trigram
Summary:	String::Trigram - find similar strings by trigram method
Summary(pl):	String::Trigram - poszukiwanie podobnych acychw metod trygramw
Name:		perl-String-Trigram
Version:	0.1
Release:	3
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b9a3fa223aec21df075ba4a065c60e57
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module computes the similarity of two strings based on the
trigram method. This consists in splitting some string into triples of
characters and comparing those to the trigrams of some other string.
For example the string kangaroo has the trigrams {kan ang nga gar aro
roo}. A wrongly typed kanagaroo has the trigrams {kan ana nag aga gar
aro roo}. To compute the similarity we (roughly) divide the number of
matching trigrams (tokens not types) by the number of all trigrams
(types not tokens). For our example this means dividing 4 / 9
resulting in 0.44.

%description -l pl
Ten modu oblicza podobiestwo dwch acuchw bazujc na metodzie
trygramw. Skada si ona z dzielenia acucha na trjki znakw i
porwnywanie tych trygramw z jakim innym acuchem. Na przykad
acuch "kangaroo" zawiera trygramy {kan ang nga gar aro roo}. le
napisane "kanagaroo" zawiera trygramy {kan ana nag aga gar aro roo}.
Aby obliczy podobiestwo, dzielimy (zgrubnie) liczb pasujcych
trygramw (tokenw, nie typw) przez liczb wszystkich trygramw
(typw, nie tokenw). W naszym przykadzie oznacza to dzielenie 4 / 9,
co daje warto 0.44.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorarch}/String/*.pm
%dir %{perl_vendorarch}/auto/String/Trigram
%{perl_vendorarch}/auto/String/Trigram/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/String/Trigram/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-String-Trigram.spec,v $
Revision 1.15  2004/05/07 01:09:25  ankry
- rel. 3

Revision 1.14  2004/05/06 18:21:12  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/01 00:32:00  ankry
- license fixed, cosmetics

Revision 1.12  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.11  2003/09/09 10:24:49  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:09:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/06/12 09:26:37  qboosh
- up to 0.1, no longer noarch (from RA-branch), release 2

Revision 1.8  2003/05/28 13:01:04  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:00  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:46:47  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:48  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:28  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/27 22:37:24  qboosh
- pl description, release 2

Revision 1.1  2002/08/09 10:00:08  radek
- new, STBR
